> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/gallery/image.md).

# Image

## List

> Retrieve a list of Azure Virtual Desktop Gallery Images.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/Gallery/Image":{"get":{"tags":["0-Infrastructure/AVD//Gallery Image"],"summary":"List","description":"Retrieve a list of Azure Virtual Desktop Gallery Images.<br />","operationId":"69baf27d-95af-4d81-8886-1cea185f644b","parameters":[{"name":"providerId","in":"query","description":"The Provider ID for which to retrieve the list of Azure Virtual Desktop Gallery Images.","schema":{"type":"integer","format":"int32"}},{"name":"name","in":"query","description":"The Name of the Azure Virtual Desktop Gallery from which to retieve the Azure Virtual Desktop Gallery Images.","schema":{"type":"string"}},{"name":"resourceGroup","in":"query","description":"The Resource Group of the Azure Virtual Desktop Gallery from which to retrieve the list of Azure Virtual Desktop Gallery Images.","schema":{"type":"string"}},{"name":"location","in":"query","description":"The Location of the Azure Virtual Desktop Gallery from which to retrieve the list of Azure Virtual Desktop Gallery Images.","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AVDGalleryImage"}}}}},"400":{"description":"Bad Request","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AVDGalleryImage":{"type":"object","properties":{"image":{"type":"string","description":"<para type=\"description\">Image</para>","nullable":true},"version":{"type":"string","description":"<para type=\"description\">Version</para>","nullable":true},"publisher":{"type":"string","description":"<para type=\"description\">Publisher</para>","nullable":true},"azureId":{"type":"string","description":"<para type=\"description\">Azure Id</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">AVD Gallery Image</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/gallery/image.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
